EventsResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class EventsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.EventsResourceApi

-     public class EventsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventsResourceApi()`
    `EventsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `ApiEvent` | `readEvent(String eventId)` Returns a specific event in the system.
    `okhttp3.Call` | `readEventAsync(String eventId, ApiCallback<ApiEvent> callback)` Returns a specific event in the system.
    `okhttp3.Call` | `readEventCall(String eventId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readEvent
    `ApiEventQueryResult` | `readEvents(BigDecimal maxResults, String query, BigDecimal resultOffset)` Allows you to query events in the system.
    `okhttp3.Call` | `readEventsAsync(BigDecimal maxResults, String query, BigDecimal resultOffset, ApiCallback<ApiEventQueryResult> callback)` Allows you to query events in the system.
    `okhttp3.Call` | `readEventsCall(BigDecimal maxResults, String query, BigDecimal resultOffset, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readEvents
    `ApiResponse<ApiEventQueryResult>` | `readEventsWithHttpInfo(BigDecimal maxResults, String query, BigDecimal resultOffset)` Allows you to query events in the system.
    `ApiResponse<ApiEvent>` | `readEventWithHttpInfo(String eventId)` Returns a specific event in the system.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventsResourceApi

          public EventsResourceApi()

    - #### EventsResourceApi

          public EventsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### readEventCall

          public okhttp3.Call readEventCall(String eventId,
                                            ProgressResponseBody.ProgressListener progressListener,
                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                     throws ApiException

      Build call for readEvent
      Parameters:
        `eventId` - The UUID of the event to read (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readEvent

          public ApiEvent readEvent(String eventId)
                             throws ApiException

      Returns a specific event in the system. Returns a specific event in the system
      Parameters:
        `eventId` - The UUID of the event to read (required)
      Returns:
        ApiEvent
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readEventWithHttpInfo

          public ApiResponse<ApiEvent> readEventWithHttpInfo(String eventId)
                                                      throws ApiException

      Returns a specific event in the system. Returns a specific event in the system
      Parameters:
        `eventId` - The UUID of the event to read (required)
      Returns:
        ApiResponse<ApiEvent>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readEventAsync

          public okhttp3.Call readEventAsync(String eventId,
                                             ApiCallback<ApiEvent> callback)
                                      throws ApiException

      Returns a specific event in the system. (asynchronously) Returns a specific event in the system
      Parameters:
        `eventId` - The UUID of the event to read (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readEventsCall

          public okhttp3.Call readEventsCall(BigDecimal maxResults,
                                             String query,
                                             BigDecimal resultOffset,
                                             ProgressResponseBody.ProgressListener progressListener,
                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                      throws ApiException

      Build call for readEvents
      Parameters:
        `maxResults` - The maximum number of events to return. (optional, default to 100)
        `query` - The query to perform to find events in the system. It accepts querying the intersection of a list of constraints, joined together with semicolons (without spaces). For example: </p> <dl> <dt>alert==true</dt> <dd>looks for alerts.</dd> <dt>alert==true;attributes.host!=flaky.mysite.com</dt> <dd>looks for alerts, but exclude those with the host attribute of \"flaky.mysite.com\".</dd> <dt>category==log_event;attributes.log_level==ERROR</dt> <dd>looks for error log events. Event attribute matching is case sensitive.</dd> <dt>attributes.service==hbase1;content==hlog</dt> <dd>looks for any events from the \"hbase1\" service that mention \"hlog\".</dd> <dt>attributes.service==hbase1;content!=hlog</dt> <dd>looks for any events from the \"hbase1\" service that do not mention \"hlog\".<br/> A query must not contain only negative constraints (<em>!=</em>). It returns empty results because there is nothing to perform exclusion on.</dd> <dt>attributes.role_type==NAMENODE;severity==critical important</dt> <dd>looks for any important or critical events related to all NameNodes.</dd> <dt>severity==critical;timeReceived=ge=2012-05-04T00:00;timeReceived=lt=2012-05-04T00:10</dt> <dd>looks for critical events received between the given 10 minute range. <br/> When polling for events, use <em>timeReceived</em> instead of <em>timeOccurred</em> because events arrive out of order.</dd> </dl> You may query any fields present in the ApiEvent object. You can also query by event attribute values using the <em>attributes.*</em> syntax. Values for date time fields (e.g. <em>timeOccurred</em>, <em>timeReceived</em>) should be ISO8601 timestamps. <p> The other valid comparators are <em>=lt=</em>, <em>=le=</em>, <em>=ge=</em>, and <em>=gt=</em>. They stand for \"&lt;\", \"&lt;=\", \"&gt;=\", \"&gt;\" respectively. These comparators are only applicable for date time fields. (optional)
        `resultOffset` - Specified the offset of events to return. (optional, default to 0)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readEvents

          public ApiEventQueryResult readEvents(BigDecimal maxResults,
                                                String query,
                                                BigDecimal resultOffset)
                                         throws ApiException

      Allows you to query events in the system. Allows you to query events in the system.
      Parameters:
        `maxResults` - The maximum number of events to return. (optional, default to 100)
        `query` - The query to perform to find events in the system. It accepts querying the intersection of a list of constraints, joined together with semicolons (without spaces). For example: </p> <dl> <dt>alert==true</dt> <dd>looks for alerts.</dd> <dt>alert==true;attributes.host!=flaky.mysite.com</dt> <dd>looks for alerts, but exclude those with the host attribute of \"flaky.mysite.com\".</dd> <dt>category==log_event;attributes.log_level==ERROR</dt> <dd>looks for error log events. Event attribute matching is case sensitive.</dd> <dt>attributes.service==hbase1;content==hlog</dt> <dd>looks for any events from the \"hbase1\" service that mention \"hlog\".</dd> <dt>attributes.service==hbase1;content!=hlog</dt> <dd>looks for any events from the \"hbase1\" service that do not mention \"hlog\".<br/> A query must not contain only negative constraints (<em>!=</em>). It returns empty results because there is nothing to perform exclusion on.</dd> <dt>attributes.role_type==NAMENODE;severity==critical important</dt> <dd>looks for any important or critical events related to all NameNodes.</dd> <dt>severity==critical;timeReceived=ge=2012-05-04T00:00;timeReceived=lt=2012-05-04T00:10</dt> <dd>looks for critical events received between the given 10 minute range. <br/> When polling for events, use <em>timeReceived</em> instead of <em>timeOccurred</em> because events arrive out of order.</dd> </dl> You may query any fields present in the ApiEvent object. You can also query by event attribute values using the <em>attributes.*</em> syntax. Values for date time fields (e.g. <em>timeOccurred</em>, <em>timeReceived</em>) should be ISO8601 timestamps. <p> The other valid comparators are <em>=lt=</em>, <em>=le=</em>, <em>=ge=</em>, and <em>=gt=</em>. They stand for \"&lt;\", \"&lt;=\", \"&gt;=\", \"&gt;\" respectively. These comparators are only applicable for date time fields. (optional)
        `resultOffset` - Specified the offset of events to return. (optional, default to 0)
      Returns:
        ApiEventQueryResult
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readEventsWithHttpInfo

          public ApiResponse<ApiEventQueryResult> readEventsWithHttpInfo(BigDecimal maxResults,
                                                                         String query,
                                                                         BigDecimal resultOffset)
                                                                  throws ApiException

      Allows you to query events in the system. Allows you to query events in the system.
      Parameters:
        `maxResults` - The maximum number of events to return. (optional, default to 100)
        `query` - The query to perform to find events in the system. It accepts querying the intersection of a list of constraints, joined together with semicolons (without spaces). For example: </p> <dl> <dt>alert==true</dt> <dd>looks for alerts.</dd> <dt>alert==true;attributes.host!=flaky.mysite.com</dt> <dd>looks for alerts, but exclude those with the host attribute of \"flaky.mysite.com\".</dd> <dt>category==log_event;attributes.log_level==ERROR</dt> <dd>looks for error log events. Event attribute matching is case sensitive.</dd> <dt>attributes.service==hbase1;content==hlog</dt> <dd>looks for any events from the \"hbase1\" service that mention \"hlog\".</dd> <dt>attributes.service==hbase1;content!=hlog</dt> <dd>looks for any events from the \"hbase1\" service that do not mention \"hlog\".<br/> A query must not contain only negative constraints (<em>!=</em>). It returns empty results because there is nothing to perform exclusion on.</dd> <dt>attributes.role_type==NAMENODE;severity==critical important</dt> <dd>looks for any important or critical events related to all NameNodes.</dd> <dt>severity==critical;timeReceived=ge=2012-05-04T00:00;timeReceived=lt=2012-05-04T00:10</dt> <dd>looks for critical events received between the given 10 minute range. <br/> When polling for events, use <em>timeReceived</em> instead of <em>timeOccurred</em> because events arrive out of order.</dd> </dl> You may query any fields present in the ApiEvent object. You can also query by event attribute values using the <em>attributes.*</em> syntax. Values for date time fields (e.g. <em>timeOccurred</em>, <em>timeReceived</em>) should be ISO8601 timestamps. <p> The other valid comparators are <em>=lt=</em>, <em>=le=</em>, <em>=ge=</em>, and <em>=gt=</em>. They stand for \"&lt;\", \"&lt;=\", \"&gt;=\", \"&gt;\" respectively. These comparators are only applicable for date time fields. (optional)
        `resultOffset` - Specified the offset of events to return. (optional, default to 0)
      Returns:
        ApiResponse<ApiEventQueryResult>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readEventsAsync

          public okhttp3.Call readEventsAsync(BigDecimal maxResults,
                                              String query,
                                              BigDecimal resultOffset,
                                              ApiCallback<ApiEventQueryResult> callback)
                                       throws ApiException

      Allows you to query events in the system. (asynchronously) Allows you to query events in the system.
      Parameters:
        `maxResults` - The maximum number of events to return. (optional, default to 100)
        `query` - The query to perform to find events in the system. It accepts querying the intersection of a list of constraints, joined together with semicolons (without spaces). For example: </p> <dl> <dt>alert==true</dt> <dd>looks for alerts.</dd> <dt>alert==true;attributes.host!=flaky.mysite.com</dt> <dd>looks for alerts, but exclude those with the host attribute of \"flaky.mysite.com\".</dd> <dt>category==log_event;attributes.log_level==ERROR</dt> <dd>looks for error log events. Event attribute matching is case sensitive.</dd> <dt>attributes.service==hbase1;content==hlog</dt> <dd>looks for any events from the \"hbase1\" service that mention \"hlog\".</dd> <dt>attributes.service==hbase1;content!=hlog</dt> <dd>looks for any events from the \"hbase1\" service that do not mention \"hlog\".<br/> A query must not contain only negative constraints (<em>!=</em>). It returns empty results because there is nothing to perform exclusion on.</dd> <dt>attributes.role_type==NAMENODE;severity==critical important</dt> <dd>looks for any important or critical events related to all NameNodes.</dd> <dt>severity==critical;timeReceived=ge=2012-05-04T00:00;timeReceived=lt=2012-05-04T00:10</dt> <dd>looks for critical events received between the given 10 minute range. <br/> When polling for events, use <em>timeReceived</em> instead of <em>timeOccurred</em> because events arrive out of order.</dd> </dl> You may query any fields present in the ApiEvent object. You can also query by event attribute values using the <em>attributes.*</em> syntax. Values for date time fields (e.g. <em>timeOccurred</em>, <em>timeReceived</em>) should be ISO8601 timestamps. <p> The other valid comparators are <em>=lt=</em>, <em>=le=</em>, <em>=ge=</em>, and <em>=gt=</em>. They stand for \"&lt;\", \"&lt;=\", \"&gt;=\", \"&gt;\" respectively. These comparators are only applicable for date time fields. (optional)
        `resultOffset` - Specified the offset of events to return. (optional, default to 0)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.